VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: 5.9 beta2 kernel headers cause linux-atm not to compile  (Read 2855 times)

Nick_13ro

  • Member
  • *
  • Posts: 26
5.9 beta2 kernel headers cause linux-atm not to compile
« on: October 27, 2007, 05:35:19 pm »

gcc -DHAVE_CONFIG_H -I. -I. -I../..     -I../../src/include -march=i586 -mtune=i686 -Wall -Wshadow -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -c arp.c
In file included from arp.c:19:
/usr/include/linux/if_arp.h:133: error: expected specifier-qualifier-list before '__be16'
make[3]: *** [arp.o] Error 1
make[3]: Leaving directory `/home/nick01/linux-atm-2.4.1/src/arpd'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/nick01/linux-atm-2.4.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/nick01/linux-atm-2.4.1'
make: *** [all-recursive-am] Error 2


  The problem I have is discussed here too:  http://lkml.org/lkml/2007/1/19/39

  I really need that package  >:(
Logged

Nick_13ro

  • Member
  • *
  • Posts: 26
Re: 5.9 beta2 kernel headers cause linux-atm not to compile
« Reply #1 on: October 28, 2007, 05:36:10 pm »

  I got the damn thing to compile by temporarily using the slackware 11 kernel headers- not even the ones from slackware current or 12 worked. But I compiled a new kernel and I can't get the damn usb adls modem to work, I dunno what it is. It said it needed hotplug. I tried both with vl-hot and hal- not working. Plus even with all the usb stuff loaded lsusb doesn't work and nothing about usb shows up in proc. I'm about to give up on vector.

  Could somebody tell be how to replicate Vector's xfce look on another distro ?

EDIT: I think I found it- /etc/skel/.config
« Last Edit: October 28, 2007, 05:50:14 pm by Nick_13ro »
Logged